Method: agents.list

Full name: projects.locations.agents.list

Lists agents in a location.

Endpoint

get https://{service-endpoint}/v1beta1/{parent}/agents

Where {service-endpoint} is one of the supported service endpoints.

Path parameters

parent string

Required. The resource name of the location to list agents from. Format: projects/{project}/locations/{location}.

Query parameters

pageSize integer

Optional. The maximum number of agents to return. The service may return fewer than this value. If unspecified, at most 100 agents are returned.

pageToken string

Optional. A page token, received from a previous AgentService.ListAgents call. Provide this to retrieve the subsequent page.

orderBy string

Optional. A comma-separated list of fields to order by. Supported fields:

  • created
  • updated

Use desc after a field name for descending order. Example: created desc.

Request body

The request body must be empty.

Response body

Response message for AgentService.ListAgents.

If successful, the response body contains data with the following structure:

Fields
agents[] object (Agent)

The agents matching the request.

nextPageToken string

A token to retrieve the next page of results. Pass this value as ListAgentsRequest.page_token in a subsequent call.

JSON representation
{
  "agents": [
    {
      object (Agent)
    }
  ],
  "nextPageToken": string
}